Build broken because of missing dep for objective c
Closed, ResolvedPublic

Description

This happens when trying to run some tests during our presubmit. I'm guessing it is due to the new bazel release.

Bazel query error (7): ____Loading package: @bazel_tools//tools/objc
ERROR: /usr/local/google/home/salguarnieri/Groksrc/kythe/kythe/cxx/extractor/testdata/BUILD:232:1: every rule of type objc_library implicitly depends upon the target '//tools/objc:header_scanner', but this target could not be found because of: no such package 'tools/objc': BUILD file not found on package path.
salguarnieri created this task.Via WebMar 16 2017, 5:05 PM
salguarnieri added a subscriber: salguarnieri.
Herald added a subscriber: Core Team. · View Herald TranscriptVia HeraldMar 16 2017, 5:05 PM
shahms added a subscriber: shahms.Via WebMar 17 2017, 9:18 AM

This seems like a possible Bazel version problem...

salguarnieri added a comment.Via WebMar 17 2017, 10:01 AM

This happens during the bazel query that executes as part of arc diff.

salguarnieri added a comment.Via WebMar 21 2017, 2:38 PM

The workaround is to use bazel 0.4.4 until we understand what is going on and fix it.

evmar added a subscriber: evmar.Via WebMar 21 2017, 3:47 PM
salguarnieri added a comment.Via WebMar 21 2017, 6:58 PM

I can reproduce this with the following command

bazel query 'rdeps(//..., set("//kythe/java/com/google/devtools/kythe/platform/java:JavacOptionsUtils.java"))'
salguarnieri added a comment.Via WebMar 21 2017, 7:55 PM

Our presubmit should work now after D1441. I filed https://github.com/bazelbuild/bazel/issues/2723 to get Bazel to roll a proper fix.

salguarnieri closed this task as "Resolved".Via WebMar 21 2017, 7:56 PM
salguarnieri claimed this task.

Add Comment